/**
 * RoleClassContent2.java
 *
 * File generated from the medication2::RoleClassContent2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassContent2.
 *
 */

@XmlType(name = "RoleClassContent")
@XmlEnum
@XmlRootElement(name = "RoleClassContent2")
public enum RoleClassContent2 {
	@XmlEnumValue("CONT")
	CONT("CONT");
	
	private final String value;

    RoleClassContent2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassContent2 fromValue(String v) {
        for (RoleClassContent2 c: RoleClassContent2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
